ISAPEngine.IsapType (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.engines

## Enum ISAPEngine.IsapType

- java.lang.Object
- - java.lang.Enum<ISAPEngine.IsapType>
  - - org.bouncycastle.crypto.engines.ISAPEngine.IsapType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ISAPEngine.IsapType>
  Enclosing class:
    ISAPEngine

      public static enum ISAPEngine.IsapType
      extends java.lang.Enum<ISAPEngine.IsapType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ISAP_A_128`
    `ISAP_A_128A`
    `ISAP_K_128`
    `ISAP_K_128A`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ISAPEngine.IsapType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ISAPEngine.IsapType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ISAP_A_128A

          public static final ISAPEngine.IsapType ISAP_A_128A

    - #### ISAP_K_128A

          public static final ISAPEngine.IsapType ISAP_K_128A

    - #### ISAP_A_128

          public static final ISAPEngine.IsapType ISAP_A_128

    - #### ISAP_K_128

          public static final ISAPEngine.IsapType ISAP_K_128

  - ### Method Detail

    - #### values

          public static ISAPEngine.IsapType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ISAPEngine.IsapType c : ISAPEngine.IsapType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ISAPEngine.IsapType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null